# API Core Standards

This page describes the core standards that support the integration with our APIs. It covers supported data formats, HTTP methods, and security requirements for making secure and consistent API requests.

### Supported data format

Each endpoint supports JavaScript Object Notation ([JSON](https://en.wikipedia.org/wiki/JSON)) for both request and response data.

### HTTP methods

Each endpoint supports the standard [HTTP](https://en.wikipedia.org/wiki/HTTP) methods based on its purpose.

* **GET**: Retrieves data.
* **POST**: Creates a new resource or submit data for processing.
* **PUT**: Updates an existing resource.
* **DELETE**: Removes a resource.

### Security requirements

Our APIs use [Transport Layer Security (TLS)](https://en.wikipedia.org/wiki/Transport_Layer_Security) to protect the payment and merchant data.

{% hint style="warning" %}
Requests that use TLS versions earlier than 1.2 are blocked by the firewall.
{% endhint %}

### Authentication

Our APIs require an `Access Key` and `API Key` for authentication.

{% hint style="info" %}
Contact [Xplor Pay](https://docs.xplorpay.com/getting-started) to get an Access Key and API Key.
{% endhint %}

An `Access Key` is required for:

* [Merchant Onboarding API](/api-reference/api/merchant-onboarding.md)
* [Disputes API](https://docs.xplorpay.com/api-reference/api/disputes)
* [Reporting API](https://docs.xplorpay.com/api-reference/api/reporting)

{% hint style="success" %}
You must include the required Access Key in the authentication headers of every request.
{% endhint %}

An `API Key` is required for [Payments API](/api-reference/api/payments.md).

{% hint style="success" %}
You must include the required API Key in the authentication headers of every request.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api-core-standards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
